Validate Operation - Trigger
Validate operation for specified backed up item in the form of an asynchronous operation. Returns tracking headers which can be tracked using GetValidateOperationResult API.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{vaultName}/backupTriggerValidateOperation?api-version=2026-02-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
vault
|
path | True |
string |
The name of the recovery services vault. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| id | True |
string |
Recovery point ID. |
| properties | True | ValidateOperationRequest: |
ValidateOperationRequestResource properties |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
Accepted Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Trigger Validate Operation
Sample request
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRG/providers/Microsoft.RecoveryServices/vaults/testVault/backupTriggerValidateOperation?api-version=2026-02-01
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testVault/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/IaasVMContainer;iaasvmcontainerv2;testRG;testvmName/protectedItems/VM;iaasvmcontainerv2;testRG;testvmName/recoveryPoints/348916168024334",
"properties": {
"objectType": "ValidateIaasVMRestoreOperationRequest",
"restoreRequest": {
"createNewCloudService": true,
"encryptionDetails": {
"encryptionEnabled": false
},
"identityInfo": {
"isSystemAssignedIdentity": false,
"managedIdentityResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/asmaskarRG1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/asmaskartestmsi"
},
"objectType": "IaasVMRestoreRequest",
"originalStorageAccountOption": false,
"recoveryPointId": "348916168024334",
"recoveryType": "RestoreDisks",
"region": "southeastasia",
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.Compute/virtualMachines/netvmtestv2vm1",
"storageAccountId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testingRg/providers/Microsoft.Storage/storageAccounts/testAccount"
}
}
}
Sample response
Azure-AsyncOperation: https://management.azure.com/Subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRG/providers/Microsoft.RecoveryServices/vaults/testVault/backupValidateOperationsStatuses/00000000-0000-0000-0000-000000000000?api-version=2022-03-01
Location: https://management.azure.com/Subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRG/providers/Microsoft.RecoveryServices/vaults/testVault/backupValidateOperationResults/00000000-0000-0000-0000-000000000000?api-version=2022-03-01
Retry-After: 10
Definitions
| Name | Description |
|---|---|
|
Azure |
AzureFileShare Restore Request |
|
Azure |
AzureWorkload SAP Hana -specific restore. Specifically for PointInTime/Log restore |
|
Azure |
AzureWorkload-specific restore. |
|
Azure |
AzureWorkload SAP Ase-specific restore. Specifically for PointInTime/Log restore |
|
Azure |
AzureWorkload SAP Ase-specific restore. |
|
Azure |
AzureWorkload SAP Hana -specific restore. Specifically for PointInTime/Log restore |
|
Azure |
AzureWorkload SAP Hana-specific restore with integrated rehydration of recovery point. |
|
Azure |
AzureWorkload SAP Hana-specific restore. |
|
Azure |
AzureWorkload SAP Hana-specific restore with integrated rehydration of recovery point. |
|
Azure |
AzureWorkload SQL -specific restore. Specifically for PointInTime/Log restore |
|
Azure |
AzureWorkload SQL-specific restore with integrated rehydration of recovery point. |
|
Azure |
AzureWorkload SQL -specific restore. Specifically for full/diff restore |
|
Azure |
AzureWorkload SQL-specific restore with integrated rehydration of recovery point |
|
Copy |
Options to resolve copy conflicts. |
|
Encryption |
Details needed if the VM was encrypted at the time of backup. |
|
Error |
Error Detail class which encapsulates Code, Message and Recommendations. |
|
Error |
Error response |
|
Extended |
The extended location of Recovery point where VM was present. |
|
Iaas |
IaaS VM workload-specific restore. |
|
Iaas |
IaaS VM workload-specific restore with integrated rehydration of recovery point. |
|
Identity |
IaaS VM workload specific restore details for restores using managed identity |
|
Identity |
Encapsulates Managed Identity related information |
|
Overwrite |
Can Overwrite if Target DataBase already exists |
|
Recovery |
Defines whether the current recovery mode is file restore or database restore |
|
Recovery |
RP Rehydration Info |
|
Recovery |
Type of this recovery. |
|
Rehydration |
Rehydration Priority |
|
Restore |
Restore file specs like file path, type and target folder path info. |
|
Restore |
Restore Type (FullShareRestore or ItemLevelRestore) |
|
Secured |
Restore request parameters for Secured VMs |
|
Snapshot |
Encapsulates information regarding snapshot recovery for SAP Hana |
|
SQLData |
Encapsulates information regarding data directory |
|
SQLData |
Type of data directory mapping |
|
Target |
Target Azure File Share Info. |
|
Target |
Network access settings to be used for restored disks |
|
Target |
Specifies target network access settings for disks of VM to be restored. |
|
Target |
Details about target workload during restore operation. |
|
User |
User assigned managed identity properties |
|
User |
User assigned managed identity details |
|
Validate |
AzureRestoreValidation request. |
|
Validate |
Base class for validate operation request. |
|
Validate |
AzureRestoreValidation request. |
AzureFileShareRestoreRequest
AzureFileShare Restore Request
| Name | Type | Description |
|---|---|---|
| copyOptions |
Options to resolve copy conflicts. |
|
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| recoveryType |
Type of this recovery. |
|
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| restoreFileSpecs |
List of Source Files/Folders(which need to recover) and TargetFolderPath details |
|
| restoreRequestType |
Restore Type (FullShareRestore or ItemLevelRestore) |
|
| sourceResourceId |
string |
Source storage account ARM Id |
| targetDetails |
Target File Share Details |
AzureWorkloadPointInTimeRestoreRequest
AzureWorkload SAP Hana -specific restore. Specifically for PointInTime/Log restore
| Name | Type | Description |
|---|---|---|
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| pointInTime |
string (date-time) |
PointInTime value |
| propertyBag |
object |
Workload specific property bag. |
| recoveryMode |
Defines whether the current recovery mode is file restore or database restore |
|
| recoveryType |
Type of this recovery. |
|
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| snapshotRestoreParameters |
Additional details for snapshot recovery Currently used for snapshot for SAP Hana. |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM on which workload that was running is being recovered. |
| targetInfo |
Details of target database |
|
| targetResourceGroupName |
string |
Defines the Resource group of the Target VM |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the target VM For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| userAssignedManagedIdentityDetails |
User Assigned managed identity details Currently used for snapshot. |
AzureWorkloadRestoreRequest
AzureWorkload-specific restore.
| Name | Type | Description |
|---|---|---|
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| propertyBag |
object |
Workload specific property bag. |
| recoveryMode |
Defines whether the current recovery mode is file restore or database restore |
|
| recoveryType |
Type of this recovery. |
|
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| snapshotRestoreParameters |
Additional details for snapshot recovery Currently used for snapshot for SAP Hana. |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM on which workload that was running is being recovered. |
| targetInfo |
Details of target database |
|
| targetResourceGroupName |
string |
Defines the Resource group of the Target VM |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the target VM For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| userAssignedManagedIdentityDetails |
User Assigned managed identity details Currently used for snapshot. |
AzureWorkloadSAPAsePointInTimeRestoreRequest
AzureWorkload SAP Ase-specific restore. Specifically for PointInTime/Log restore
| Name | Type | Description |
|---|---|---|
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| pointInTime |
string (date-time) |
PointInTime value |
| propertyBag |
object |
Workload specific property bag. |
| recoveryMode |
Defines whether the current recovery mode is file restore or database restore |
|
| recoveryType |
Type of this recovery. |
|
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| snapshotRestoreParameters |
Additional details for snapshot recovery Currently used for snapshot for SAP Hana. |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM on which workload that was running is being recovered. |
| targetInfo |
Details of target database |
|
| targetResourceGroupName |
string |
Defines the Resource group of the Target VM |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the target VM For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| userAssignedManagedIdentityDetails |
User Assigned managed identity details Currently used for snapshot. |
AzureWorkloadSAPAseRestoreRequest
AzureWorkload SAP Ase-specific restore.
| Name | Type | Description |
|---|---|---|
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| propertyBag |
object |
Workload specific property bag. |
| recoveryMode |
Defines whether the current recovery mode is file restore or database restore |
|
| recoveryType |
Type of this recovery. |
|
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| snapshotRestoreParameters |
Additional details for snapshot recovery Currently used for snapshot for SAP Hana. |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM on which workload that was running is being recovered. |
| targetInfo |
Details of target database |
|
| targetResourceGroupName |
string |
Defines the Resource group of the Target VM |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the target VM For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| userAssignedManagedIdentityDetails |
User Assigned managed identity details Currently used for snapshot. |
AzureWorkloadSAPHanaPointInTimeRestoreRequest
AzureWorkload SAP Hana -specific restore. Specifically for PointInTime/Log restore
| Name | Type | Description |
|---|---|---|
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| pointInTime |
string (date-time) |
PointInTime value |
| propertyBag |
object |
Workload specific property bag. |
| recoveryMode |
Defines whether the current recovery mode is file restore or database restore |
|
| recoveryType |
Type of this recovery. |
|
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| snapshotRestoreParameters |
Additional details for snapshot recovery Currently used for snapshot for SAP Hana. |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM on which workload that was running is being recovered. |
| targetInfo |
Details of target database |
|
| targetResourceGroupName |
string |
Defines the Resource group of the Target VM |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the target VM For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| userAssignedManagedIdentityDetails |
User Assigned managed identity details Currently used for snapshot. |
AzureWorkloadSAPHanaPointInTimeRestoreWithRehydrateRequest
AzureWorkload SAP Hana-specific restore with integrated rehydration of recovery point.
| Name | Type | Description |
|---|---|---|
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| pointInTime |
string (date-time) |
PointInTime value |
| propertyBag |
object |
Workload specific property bag. |
| recoveryMode |
Defines whether the current recovery mode is file restore or database restore |
|
| recoveryPointRehydrationInfo |
RP Rehydration Info |
|
| recoveryType |
Type of this recovery. |
|
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| snapshotRestoreParameters |
Additional details for snapshot recovery Currently used for snapshot for SAP Hana. |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM on which workload that was running is being recovered. |
| targetInfo |
Details of target database |
|
| targetResourceGroupName |
string |
Defines the Resource group of the Target VM |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the target VM For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| userAssignedManagedIdentityDetails |
User Assigned managed identity details Currently used for snapshot. |
AzureWorkloadSAPHanaRestoreRequest
AzureWorkload SAP Hana-specific restore.
| Name | Type | Description |
|---|---|---|
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| propertyBag |
object |
Workload specific property bag. |
| recoveryMode |
Defines whether the current recovery mode is file restore or database restore |
|
| recoveryType |
Type of this recovery. |
|
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| snapshotRestoreParameters |
Additional details for snapshot recovery Currently used for snapshot for SAP Hana. |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM on which workload that was running is being recovered. |
| targetInfo |
Details of target database |
|
| targetResourceGroupName |
string |
Defines the Resource group of the Target VM |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the target VM For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| userAssignedManagedIdentityDetails |
User Assigned managed identity details Currently used for snapshot. |
AzureWorkloadSAPHanaRestoreWithRehydrateRequest
AzureWorkload SAP Hana-specific restore with integrated rehydration of recovery point.
| Name | Type | Description |
|---|---|---|
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| propertyBag |
object |
Workload specific property bag. |
| recoveryMode |
Defines whether the current recovery mode is file restore or database restore |
|
| recoveryPointRehydrationInfo |
RP Rehydration Info |
|
| recoveryType |
Type of this recovery. |
|
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| snapshotRestoreParameters |
Additional details for snapshot recovery Currently used for snapshot for SAP Hana. |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM on which workload that was running is being recovered. |
| targetInfo |
Details of target database |
|
| targetResourceGroupName |
string |
Defines the Resource group of the Target VM |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the target VM For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| userAssignedManagedIdentityDetails |
User Assigned managed identity details Currently used for snapshot. |
AzureWorkloadSQLPointInTimeRestoreRequest
AzureWorkload SQL -specific restore. Specifically for PointInTime/Log restore
| Name | Type | Description |
|---|---|---|
| alternateDirectoryPaths |
Data directory details |
|
| isNonRecoverable |
boolean |
SQL specific property where user can chose to set no-recovery when restore operation is tried |
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| pointInTime |
string (date-time) |
PointInTime value |
| propertyBag |
object |
Workload specific property bag. |
| recoveryMode |
Defines whether the current recovery mode is file restore or database restore |
|
| recoveryType |
Type of this recovery. |
|
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| shouldUseAlternateTargetLocation |
boolean |
Default option set to true. If this is set to false, alternate data directory must be provided |
| snapshotRestoreParameters |
Additional details for snapshot recovery Currently used for snapshot for SAP Hana. |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM on which workload that was running is being recovered. |
| targetInfo |
Details of target database |
|
| targetResourceGroupName |
string |
Defines the Resource group of the Target VM |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the target VM For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| userAssignedManagedIdentityDetails |
User Assigned managed identity details Currently used for snapshot. |
AzureWorkloadSQLPointInTimeRestoreWithRehydrateRequest
AzureWorkload SQL-specific restore with integrated rehydration of recovery point.
| Name | Type | Description |
|---|---|---|
| alternateDirectoryPaths |
Data directory details |
|
| isNonRecoverable |
boolean |
SQL specific property where user can chose to set no-recovery when restore operation is tried |
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| pointInTime |
string (date-time) |
PointInTime value |
| propertyBag |
object |
Workload specific property bag. |
| recoveryMode |
Defines whether the current recovery mode is file restore or database restore |
|
| recoveryPointRehydrationInfo |
RP Rehydration Info |
|
| recoveryType |
Type of this recovery. |
|
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| shouldUseAlternateTargetLocation |
boolean |
Default option set to true. If this is set to false, alternate data directory must be provided |
| snapshotRestoreParameters |
Additional details for snapshot recovery Currently used for snapshot for SAP Hana. |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM on which workload that was running is being recovered. |
| targetInfo |
Details of target database |
|
| targetResourceGroupName |
string |
Defines the Resource group of the Target VM |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the target VM For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| userAssignedManagedIdentityDetails |
User Assigned managed identity details Currently used for snapshot. |
AzureWorkloadSQLRestoreRequest
AzureWorkload SQL -specific restore. Specifically for full/diff restore
| Name | Type | Description |
|---|---|---|
| alternateDirectoryPaths |
Data directory details |
|
| isNonRecoverable |
boolean |
SQL specific property where user can chose to set no-recovery when restore operation is tried |
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| propertyBag |
object |
Workload specific property bag. |
| recoveryMode |
Defines whether the current recovery mode is file restore or database restore |
|
| recoveryType |
Type of this recovery. |
|
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| shouldUseAlternateTargetLocation |
boolean |
Default option set to true. If this is set to false, alternate data directory must be provided |
| snapshotRestoreParameters |
Additional details for snapshot recovery Currently used for snapshot for SAP Hana. |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM on which workload that was running is being recovered. |
| targetInfo |
Details of target database |
|
| targetResourceGroupName |
string |
Defines the Resource group of the Target VM |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the target VM For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| userAssignedManagedIdentityDetails |
User Assigned managed identity details Currently used for snapshot. |
AzureWorkloadSQLRestoreWithRehydrateRequest
AzureWorkload SQL-specific restore with integrated rehydration of recovery point
| Name | Type | Description |
|---|---|---|
| alternateDirectoryPaths |
Data directory details |
|
| isNonRecoverable |
boolean |
SQL specific property where user can chose to set no-recovery when restore operation is tried |
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| propertyBag |
object |
Workload specific property bag. |
| recoveryMode |
Defines whether the current recovery mode is file restore or database restore |
|
| recoveryPointRehydrationInfo |
RP Rehydration Info |
|
| recoveryType |
Type of this recovery. |
|
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| shouldUseAlternateTargetLocation |
boolean |
Default option set to true. If this is set to false, alternate data directory must be provided |
| snapshotRestoreParameters |
Additional details for snapshot recovery Currently used for snapshot for SAP Hana. |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM on which workload that was running is being recovered. |
| targetInfo |
Details of target database |
|
| targetResourceGroupName |
string |
Defines the Resource group of the Target VM |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the target VM For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| userAssignedManagedIdentityDetails |
User Assigned managed identity details Currently used for snapshot. |
CopyOptions
Options to resolve copy conflicts.
| Value | Description |
|---|---|
| Invalid | |
| CreateCopy | |
| Skip | |
| Overwrite | |
| FailOnConflict |
EncryptionDetails
Details needed if the VM was encrypted at the time of backup.
| Name | Type | Description |
|---|---|---|
| encryptionEnabled |
boolean |
Identifies whether this backup copy represents an encrypted VM at the time of backup. |
| kekUrl |
string |
Key Url. |
| kekVaultId |
string |
ID of Key Vault where KEK is stored. |
| secretKeyUrl |
string |
Secret Url. |
| secretKeyVaultId |
string |
ID of Key Vault where Secret is stored. |
ErrorDetail
Error Detail class which encapsulates Code, Message and Recommendations.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| message |
string |
Error Message related to the Code. |
| recommendations |
string[] |
List of recommendation strings. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ExtendedLocation
The extended location of Recovery point where VM was present.
| Name | Type | Description |
|---|---|---|
| name |
string |
Name of the extended location. |
| type |
string |
Type of the extended location. Possible values include: 'EdgeZone' |
IaasVMRestoreRequest
IaaS VM workload-specific restore.
| Name | Type | Description |
|---|---|---|
| affinityGroup |
string |
Affinity group associated to VM to be restored. Used only for Classic Compute Virtual Machines. |
| createNewCloudService |
boolean |
Should a new cloud service be created while restoring the VM. If this is false, VM will be restored to the same cloud service as it was at the time of backup. |
| diskEncryptionSetId |
string |
DiskEncryptionSet's ID - needed if the VM needs to be encrypted at rest during restore with customer managed key. |
| encryptionDetails |
Details needed if the VM was encrypted at the time of backup. |
|
| extendedLocation |
Target extended location where the VM should be restored, should be null if restore is to be done in public cloud |
|
| identityBasedRestoreDetails |
IaaS VM workload specific restore details for restores using managed identity. |
|
| identityInfo |
Managed Identity information required to access customer storage account. |
|
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| originalStorageAccountOption |
boolean |
Original Storage Account Option |
| recoveryPointId |
string |
ID of the backup copy to be recovered. |
| recoveryType |
Type of this recovery. |
|
| region |
string |
Region in which the virtual machine is restored. |
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| restoreDiskLunList |
integer[] (int32) |
List of Disk LUNs for partial restore |
| restoreWithManagedDisks |
boolean |
Flag to denote of an Unmanaged disk VM should be restored with Managed disks. |
| securedVMDetails |
Stores Secured VM Details |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM which is being recovered. |
| storageAccountId |
string |
Fully qualified ARM ID of the storage account to which the VM has to be restored. |
| subnetId |
string |
Subnet ID, is the subnet ID associated with the to be restored VM. For Classic VMs it would be {VnetID}/Subnet/{SubnetName} and, for the Azure Resource Manager VMs it would be ARM resource ID used to represent the subnet. |
| targetDiskNetworkAccessSettings |
Specifies target network access settings for disks of VM to be restored, |
|
| targetDomainNameId |
string |
Fully qualified ARM ID of the domain name to be associated to the VM being restored. This applies only to Classic Virtual Machines. |
| targetResourceGroupId |
string |
This is the ARM Id of the resource group that you want to create for this Virtual machine and other artifacts. For e.g. /subscriptions/{subId}/resourcegroups/{rg} |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the VM that will be created. For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| virtualNetworkId |
string |
This is the virtual network Id of the vnet that will be attached to the virtual machine. User will be validated for join action permissions in the linked access. |
| zones |
string[] |
Target zone where the VM and its disks should be restored. |
IaasVMRestoreWithRehydrationRequest
IaaS VM workload-specific restore with integrated rehydration of recovery point.
| Name | Type | Description |
|---|---|---|
| affinityGroup |
string |
Affinity group associated to VM to be restored. Used only for Classic Compute Virtual Machines. |
| createNewCloudService |
boolean |
Should a new cloud service be created while restoring the VM. If this is false, VM will be restored to the same cloud service as it was at the time of backup. |
| diskEncryptionSetId |
string |
DiskEncryptionSet's ID - needed if the VM needs to be encrypted at rest during restore with customer managed key. |
| encryptionDetails |
Details needed if the VM was encrypted at the time of backup. |
|
| extendedLocation |
Target extended location where the VM should be restored, should be null if restore is to be done in public cloud |
|
| identityBasedRestoreDetails |
IaaS VM workload specific restore details for restores using managed identity. |
|
| identityInfo |
Managed Identity information required to access customer storage account. |
|
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| originalStorageAccountOption |
boolean |
Original Storage Account Option |
| recoveryPointId |
string |
ID of the backup copy to be recovered. |
| recoveryPointRehydrationInfo |
RP Rehydration Info |
|
| recoveryType |
Type of this recovery. |
|
| region |
string |
Region in which the virtual machine is restored. |
| resourceGuardOperationRequests |
string[] |
ResourceGuardOperationRequests on which LAC check will be performed |
| restoreDiskLunList |
integer[] (int32) |
List of Disk LUNs for partial restore |
| restoreWithManagedDisks |
boolean |
Flag to denote of an Unmanaged disk VM should be restored with Managed disks. |
| securedVMDetails |
Stores Secured VM Details |
|
| sourceResourceId |
string |
Fully qualified ARM ID of the VM which is being recovered. |
| storageAccountId |
string |
Fully qualified ARM ID of the storage account to which the VM has to be restored. |
| subnetId |
string |
Subnet ID, is the subnet ID associated with the to be restored VM. For Classic VMs it would be {VnetID}/Subnet/{SubnetName} and, for the Azure Resource Manager VMs it would be ARM resource ID used to represent the subnet. |
| targetDiskNetworkAccessSettings |
Specifies target network access settings for disks of VM to be restored, |
|
| targetDomainNameId |
string |
Fully qualified ARM ID of the domain name to be associated to the VM being restored. This applies only to Classic Virtual Machines. |
| targetResourceGroupId |
string |
This is the ARM Id of the resource group that you want to create for this Virtual machine and other artifacts. For e.g. /subscriptions/{subId}/resourcegroups/{rg} |
| targetVirtualMachineId |
string |
This is the complete ARM Id of the VM that will be created. For e.g. /subscriptions/{subId}/resourcegroups/{rg}/provider/Microsoft.Compute/virtualmachines/{vm} |
| virtualNetworkId |
string |
This is the virtual network Id of the vnet that will be attached to the virtual machine. User will be validated for join action permissions in the linked access. |
| zones |
string[] |
Target zone where the VM and its disks should be restored. |
IdentityBasedRestoreDetails
IaaS VM workload specific restore details for restores using managed identity
| Name | Type | Description |
|---|---|---|
| objectType |
string |
Gets the class type. |
| targetStorageAccountId |
string |
Fully qualified ARM ID of the target storage account. |
IdentityInfo
Encapsulates Managed Identity related information
| Name | Type | Description |
|---|---|---|
| isSystemAssignedIdentity |
boolean |
To differentiate if the managed identity is system assigned or user assigned |
| managedIdentityResourceId |
string |
Managed Identity Resource Id Optional: Might not be required in the case of system assigned managed identity |
OverwriteOptions
Can Overwrite if Target DataBase already exists
| Value | Description |
|---|---|
| Invalid | |
| FailOnConflict | |
| Overwrite |
RecoveryMode
Defines whether the current recovery mode is file restore or database restore
| Value | Description |
|---|---|
| Invalid | |
| FileRecovery | |
| WorkloadRecovery | |
| SnapshotAttach | |
| RecoveryUsingSnapshot | |
| SnapshotAttachAndRecover |
RecoveryPointRehydrationInfo
RP Rehydration Info
| Name | Type | Description |
|---|---|---|
| rehydrationPriority |
Rehydration Priority |
|
| rehydrationRetentionDuration |
string |
How long the rehydrated RP should be kept Should be ISO8601 Duration format e.g. "P7D" |
RecoveryType
Type of this recovery.
| Value | Description |
|---|---|
| Invalid | |
| OriginalLocation | |
| AlternateLocation | |
| RestoreDisks | |
| Offline |
RehydrationPriority
Rehydration Priority
| Value | Description |
|---|---|
| Standard | |
| High |
RestoreFileSpecs
Restore file specs like file path, type and target folder path info.
| Name | Type | Description |
|---|---|---|
| fileSpecType |
string |
Indicates what the Path variable stands for |
| path |
string |
Source File/Folder path |
| targetFolderPath |
string |
Destination folder path in target FileShare |
RestoreRequestType
Restore Type (FullShareRestore or ItemLevelRestore)
| Value | Description |
|---|---|
| Invalid | |
| FullShareRestore | |
| ItemLevelRestore |
SecuredVMDetails
Restore request parameters for Secured VMs
| Name | Type | Description |
|---|---|---|
| securedVMOsDiskEncryptionSetId |
string |
Gets or Sets Disk Encryption Set Id for Secured VM OS Disk |
SnapshotRestoreParameters
Encapsulates information regarding snapshot recovery for SAP Hana
| Name | Type | Description |
|---|---|---|
| logPointInTimeForDBRecovery |
string |
|
| skipAttachAndMount |
boolean |
SQLDataDirectoryMapping
Encapsulates information regarding data directory
| Name | Type | Description |
|---|---|---|
| mappingType |
Type of data directory mapping |
|
| sourceLogicalName |
string |
Restore source logical name path |
| sourcePath |
string |
Restore source path |
| targetPath |
string |
Target path |
SQLDataDirectoryType
Type of data directory mapping
| Value | Description |
|---|---|
| Invalid | |
| Data | |
| Log |
TargetAFSRestoreInfo
Target Azure File Share Info.
| Name | Type | Description |
|---|---|---|
| name |
string |
File share name |
| targetResourceId |
string |
Target file share resource ARM ID |
TargetDiskNetworkAccessOption
Network access settings to be used for restored disks
| Value | Description |
|---|---|
| SameAsOnSourceDisks | |
| EnablePrivateAccessForAllDisks | |
| EnablePublicAccessForAllDisks |
TargetDiskNetworkAccessSettings
Specifies target network access settings for disks of VM to be restored.
| Name | Type | Description |
|---|---|---|
| targetDiskAccessId |
string |
Gets or sets the ARM resource ID of the target disk access to be used when TargetDiskNetworkAccessOption is set to TargetDiskNetworkAccessOption.UseNew |
| targetDiskNetworkAccessOption |
Network access settings to be used for restored disks |
TargetRestoreInfo
Details about target workload during restore operation.
| Name | Type | Description |
|---|---|---|
| containerId |
string |
Resource Id name of the container in which Target DataBase resides |
| databaseName |
string |
Database name InstanceName/DataBaseName for SQL or System/DbName for SAP Hana |
| overwriteOption |
Can Overwrite if Target DataBase already exists |
|
| targetDirectoryForFileRestore |
string |
Target directory location for restore as files. |
UserAssignedIdentityProperties
User assigned managed identity properties
| Name | Type | Description |
|---|---|---|
| clientId |
string |
The client ID of the assigned identity. |
| principalId |
string |
The principal ID of the assigned identity. |
UserAssignedManagedIdentityDetails
User assigned managed identity details
| Name | Type | Description |
|---|---|---|
| identityArmId |
string |
The ARM id of the assigned identity. |
| identityName |
string |
The name of the assigned identity. |
| userAssignedIdentityProperties |
User assigned managed identity properties |
ValidateIaasVMRestoreOperationRequest
AzureRestoreValidation request.
| Name | Type | Description |
|---|---|---|
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| restoreRequest |
RestoreRequest:
|
Sets restore request to be validated |
ValidateOperationRequestResource
Base class for validate operation request.
| Name | Type | Description |
|---|---|---|
| id |
string |
Recovery point ID. |
| properties | ValidateOperationRequest: |
ValidateOperationRequestResource properties |
ValidateRestoreOperationRequest
AzureRestoreValidation request.
| Name | Type | Description |
|---|---|---|
| objectType | string: |
This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types. |
| restoreRequest |
RestoreRequest:
|
Sets restore request to be validated |